TARGETTYPE=NONE

PLACE= \
	src\lib\$(O)\comerr32.dll \
	src\lib\$(O)\krb5_32.dll \
	src\lib\$(O)\gssapi32.dll \
	src\lib\$(O)\xpprof32.dll \
	src\windows\cns\$(O)\krb5.exe \
	src\windows\gss\$(O)\gss.exe \
	src\windows\wintel\$(O)\telnet.exe

DNS_OPTIONS=KRB5_USE_DNS=1 DNS_LIB=$(PISMERE)\athena\wshelper\wshload\$(O)\wshload.lib DNS_INC=$(PISMERE)\athena\wshelper\include

all:: src/Makefile
	cd src
	$(MAKE) -$(MAKEFLAGS) /nologo all $(DNS_OPTIONS)
	cd ..

clean:: src/Makefile
	cd src
	$(MAKE) -$(MAKEFLAGS) /nologo clean
	cd ..

src/Makefile: src/config/win-pre.in src/Makefile.in src/config/win-post.in
	@echo Checking for existence of sed, gawk, cat and rm...
	@$(WHICH_CMD) sed
	@$(WHICH_CMD) gawk
	@$(WHICH_CMD) cat
	@$(WHICH_CMD) rm
	@echo We found them!
	cd src
	$(MAKE) -$(MAKEFLAGS) /nologo -f Makefile.in prep-windows
	cd ..
